Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITreeModel

public interface ITreeModel

Interface fuer TreeModelEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TreeModelEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTreeModelListener(TreeModelListener listener)` Fuegt dem Control den uebergebenen Listener als TreeModelListener hinzu.
`String` | `getActionClassForTreeModel()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeModelEvent ausgeloest wurde.
`void` | `removeTreeModelListener(TreeModelListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTreeModel(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeModelEvent ausgeloest wurde.

Method Detail

### getActionClassForTreeModel

    public String getActionClassForTreeModel()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeModelEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TreeModelEvent.

### setActionClassForTreeModel

    public void setActionClassForTreeModel(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeModelEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeModelEvent.

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener listener)

  Fuegt dem Control den uebergebenen Listener als TreeModelListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TreeModelListener.

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD